Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.gui
Class RepastConsole

    java.lang.Object
      java.awt.event.WindowAdapter
          uchicago.src.sim.gui.RepastConsole

All Implemented Interfaces:
  java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener, java.lang.Runnable, java.util.EventListener

    public class RepastConsole

extends java.awt.event.WindowAdapter
implements java.awt.event.WindowListener, java.lang.Runnable

Nested Class Summary
`protected class` | `RepastConsole.Cat`

Field Summary
`protected static java.io.ByteArrayOutputStream` | `byteStream`
`protected static java.io.PrintStream` | `newStderr`
`protected static java.io.PrintStream` | `newStdout`
`protected static java.io.PrintStream` | `oldStderr`
`protected static java.io.PrintStream` | `oldStdout`

Constructor Summary
`RepastConsole(boolean stdout, boolean stderr)`

Method Summary
`protected void` | `copyOutputToConsole()`
`void` | `display()`
`void` | `dispose()`
`boolean` | `isStderrOn()`
`boolean` | `isStdoutOn()`
`static void` | `main(java.lang.String[] arg)`
`void` | `run()`
`void` | `setStderrOn(boolean stderrOn)`
`void` | `setStdoutOn(boolean stdoutOn)`
`void` | `windowClosed(java.awt.event.WindowEvent evt)`
`void` | `windowClosing(java.awt.event.WindowEvent evt)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.WindowListener
`windowActivated, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Field Detail

### oldStdout

    protected static final java.io.PrintStream oldStdout

### oldStderr

    protected static final java.io.PrintStream oldStderr

### newStdout

    protected static java.io.PrintStream newStdout

### newStderr

    protected static java.io.PrintStream newStderr

### byteStream

    protected static java.io.ByteArrayOutputStream byteStream

Constructor Detail

### RepastConsole

    public RepastConsole(boolean stdout,
                         boolean stderr)

Method Detail

### display

    public void display()

### isStdoutOn

    public boolean isStdoutOn()

### setStdoutOn

    public void setStdoutOn(boolean stdoutOn)

### isStderrOn

    public boolean isStderrOn()

### setStderrOn

    public void setStderrOn(boolean stderrOn)

### dispose

    public void dispose()

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosed` in class `java.awt.event.WindowAdapter`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent evt)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosing` in class `java.awt.event.WindowAdapter`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### copyOutputToConsole

    protected void copyOutputToConsole()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] arg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD